quat_slerp(3)

NAME
quat_slerp

SYNOPSIS
#include <allegro.h>

void quat_slerp(const QUAT *from, *to, float t, QUAT *out, int how);

DESCRIPTION
The same as quat_interpolate(), but allows more control over how the rotation is done. The how parameter can be any one of the values:
   QUAT_SHORT  - like quat_interpolate(), use shortest path
   QUAT_LONG   - rotation will be greater than 180 degrees
   QUAT_CW     - rotate clockwise when viewed from above
   QUAT_CCW    - rotate counterclockwise when viewed from above
   QUAT_USER   - the quaternions are interpolated exactly as given